/* simple password generator by Nelson Minar (minar@reed.edu)
 * copyright 1991, all rights reserved.
 * You can use this code as long as my name stays with it.
 *
 *
 * $Id: mkpasswd.c,v 1.3 2001/09/16 22:45:06 asuffield Exp $
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <unistd.h>
#include "s_cr.h"

/* This is the old main header, preserved for us all to laugh at
int main(argc, argv)
int argc;
char *argv[];

* We use ANSI nowadays, people.
*  -- asuffield
*/

int
main(int argc, char *argv[])
{
  char *plaintext;
  static char saltChars[] =
    "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789./";
  char salt[9];

  srandom(time(0));
  salt[0] = saltChars[random() % 64];
  salt[1] = saltChars[random() % 64];
  salt[2] = saltChars[random() % 64];
  salt[3] = saltChars[random() % 64];
  salt[4] = saltChars[random() % 64];
  salt[5] = saltChars[random() % 64];
  salt[6] = saltChars[random() % 64];
  salt[7] = saltChars[random() % 64];
  salt[8] = 0;

  /* IN ERIS' NAME, WILL SOMEBODY PLEASE REPLACE THIS! */
  plaintext = getpass("plaintext: ");

  printf("%s\n", libshadow_md5_crypt(plaintext, salt));
  return 0;
}
